{
  description = "NixOS configuration with flakes";
  inputs = {
    nixpkgs.url = "nixpkgs/nixos-unstable";

    # xdg-terminal-exec = {
    #   url = "path:/etc/nixos/flakes/xdg-terminal-exec";
    #   inputs.nixpkgs.follows = "nixpkgs";
    # };

    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    # nixvim = {
    #   url = "github:nix-community/nixvim";
    #   inputs.nixpkgs.follows = "nixpkgs";
    # };

    # nur.url = "github:nix-community/NUR";
  };
  outputs = { self, nixpkgs, home-manager }:
    let system = "x86_64-linux";
    in {
      nixosConfigurations = {
        oyvoLaptop = nixpkgs.lib.nixosSystem {
          inherit system;
          modules = [
            ./configuration.nix
            home-manager.nixosModules.home-manager
            # nur.nixosModules.nur
          ];
        };
      };
    };
}
